ChartItemSpecification (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.flow.spec
Class ChartItemSpecification

    java.lang.Object
      org.maltparser.core.flow.spec.ChartItemSpecification

    public class ChartItemSpecification

extends Object

Author:
  Johan Hall

Constructor Summary
`ChartItemSpecification()`
`ChartItemSpecification(String chartItemName, Class<? extends ChartItem> chartItemClass)`

Method Summary
`void` | `addChartItemAttribute(String key, String value)`
`boolean` | `equals(Object obj)`
`String` | `getChartItemAttribute(String key)`
`HashMap<String,String>` | `getChartItemAttributes()`
`Class<? extends ChartItem>` | `getChartItemClass()`
`String` | `getChartItemName()`
`int` | `hashCode()`
`void` | `read(Element chartItemSpec, FlowChartManager flowCharts)`
`void` | `removeChartItemAttribute(String key)`
`void` | `setChartItemClass(Class<? extends ChartItem> chartItemClass)`
`void` | `setChartItemName(String chartItemName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChartItemSpecification

    public ChartItemSpecification()

### ChartItemSpecification

    public ChartItemSpecification(String chartItemName,
                                  Class<? extends ChartItem> chartItemClass)

Method Detail

### getChartItemName

    public String getChartItemName()

### setChartItemName

    public void setChartItemName(String chartItemName)

### getChartItemClass

    public Class<? extends ChartItem> getChartItemClass()

### setChartItemClass

    public void setChartItemClass(Class<? extends ChartItem> chartItemClass)

### getChartItemAttributes

    public HashMap<String,String> getChartItemAttributes()

### getChartItemAttribute

    public String getChartItemAttribute(String key)

### addChartItemAttribute

    public void addChartItemAttribute(String key,
                                      String value)

### removeChartItemAttribute

    public void removeChartItemAttribute(String key)

### read

    public void read(Element chartItemSpec,
                     FlowChartManager flowCharts)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.